## org.hibernate.hql.ast.tree
Class AssignmentSpecification

    java.lang.Object
      org.hibernate.hql.ast.tree.AssignmentSpecification

    public class AssignmentSpecification

extends Object

Encapsulates the information relating to an individual assignment within the set clause of an HQL update statement. This information is used during execution of the update statements when the updates occur against "multi-table" stuff.

Author:
  Steve Ebersole

Constructor Summary
`AssignmentSpecification(antlr.collections.AST eq, Queryable persister)`

Method Summary
`boolean` `affectsTable(String tableName)`
`ParameterSpecification[]` `getParameters()`
`String` `getSqlAssignmentFragment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssignmentSpecification

    public AssignmentSpecification(antlr.collections.AST eq,
                                   Queryable persister)

Method Detail

### affectsTable

    public boolean affectsTable(String tableName)

### getParameters

    public ParameterSpecification[] getParameters()

### getSqlAssignmentFragment

    public String getSqlAssignmentFragment()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.